Bug 244551 - haldaemon not starting up
haldaemon not starting up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 23:33 EDT by Kenneth A. Redler
Modified: 2013-03-05 22:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/init.d/haldaemon start > ./haldaemon.output 2>&1 (3.05 KB, text/plain)
2007-06-16 23:33 EDT, Kenneth A. Redler
no flags Details

  None (edit)
Description Kenneth A. Redler 2007-06-16 23:33:02 EDT
Description of problem:
The haldaemon service won't start.

Version-Release number of selected component (if applicable):
hal-0.5.9-8.fc7

How reproducible:
Always on my Inspiron 5000e.

Steps to Reproduce:
1. Execute /etc/init.d/haldaemon start as root.

  
Actual results:
The script reports fail and 'ps -afe | grep hal' shows no hald running.

Expected results:
The script reports pass and 'ps -afe | grep hal' shows hald running.

Additional info:
It does this with selinux both enabled and disabled.
Comment 1 Kenneth A. Redler 2007-06-16 23:33:03 EDT
Created attachment 157211 [details]
/etc/init.d/haldaemon start > ./haldaemon.output 2>&1
Comment 2 Kenneth A. Redler 2007-06-18 16:29:37 EDT
Ready, willing, and able to gather more information if needed.
I'd like to get my laptop up and running properly.
Please let me know what else I can do to assist in the resolution of this bug.
Comment 3 Carl Parrish 2007-06-22 12:21:31 EDT
I'm running into the same problem. I've also tried both with selinux enabled and
disabled. 
Comment 4 Phillip Ezolt 2007-07-10 23:25:49 EDT
I have the same problem on FC7 w/hal-0.5.9-8.fc7.

Strangely, it will fail at startup, but it WILL work if it start it later. (with
'/sbin/service haldaemon start')

If I turn on debugging, I get the errors below: (I think the "[E]
mmap_cache.c:190: fdi cache regeneration failed!" is the important part...) 

(To debug, In '/etc/rc.d/init.d/haldaemon' change this:  
"daemon --check $servicename $processname" to 
"daemon --check $servicename $processname  --verbose=yes --use-syslog"
And look for the messages in /var/log/messages. 
)

...

Jul 10 22:49:51 localhost hald[2076]: 22:49:51.169 [I] hald.c:529: hal 0.5.9 
Jul 10 22:49:51 localhost hald[2076]: 22:49:51.170 [I] hald.c:538: Will daemonize 
Jul 10 22:49:52 localhost hald[2076]: 22:49:51.170 [I] hald.c:539: Becoming a
daemon 
Jul 10 22:49:52 localhost hald[2077]: 22:49:51.172 [I] hald_dbus.c:4807: local
server is listening at
unix:abstract=/var/run/hald/dbus-pV6LQXAe6v,guid=cf1cce7ebe4c2c6b9ad
188004694454f 
Jul 10 22:49:52 localhost hald[2077]: 22:49:51.179 [I] ck-tracker.c:387: got
seat '/org/freedesktop/ConsoleKit/Seat1' 
Jul 10 22:49:52 localhost hald[2077]: 22:49:51.180 [I] ck-tracker.c:338: Got all
sessions on seat '/org/freedesktop/ConsoleKit/Seat1' 
Jul 10 22:49:53 localhost hald[2077]: 22:49:51.180 [I] ck-tracker.c:414: Got seats 
Jul 10 22:49:53 localhost hald[2077]: 22:49:51.180 [I] ck-tracker.c:796: Got
seats and sessions 
Jul 10 22:49:53 localhost hald[2077]: 22:49:51.347 [I] hald_runner.c:299: Runner
has pid 2078 
Jul 10 22:49:53 localhost hald[2077]: 22:49:51.348 [W] ci-tracker.c:200: Could
not get uid for connection: org.freedesktop.DBus.Error.NameHasNoOwner Could not
get UID of 
name 'org.freedesktop.DBus': no such name 
Jul 10 22:49:54 localhost hald[2077]: 22:49:51.348 [E] hald_dbus.c:4462: Cannot
get caller info for org.freedesktop.DBus 
Jul 10 22:49:54 localhost hald[2077]: 22:49:51.359 [I] hald_runner.c:180: runner
connection is 0x8308ea0 
Jul 10 22:49:55 localhost hald[2077]: 22:49:51.935 [I] mmap_cache.c:161:
Regenerating fdi cache.. 
Jul 10 22:49:55 localhost hald[2077]: 22:49:52.215 [I] mmap_cache.c:137: In
regen_cache_cb exit_type=0, return_code=1 
Jul 10 22:49:55 localhost hald[2077]: 22:49:52.215 [E] mmap_cache.c:190: fdi
cache regeneration failed! 
Jul 10 22:49:55 localhost hald[2077]: 22:49:52.440 [I] mmap_cache.c:193: fdi
cache generation done 
Jul 10 22:49:55 localhost hald[2077]: 22:49:52.672 [I] mmap_cache.c:251: cache
mtime is 1184080577 

Comment 5 Kenneth A. Redler 2007-07-11 07:33:15 EDT
Ah, yes...I see the same:

Jul 11 06:14:18 phileo hald[1945]: 06:14:18.613 [I] hald.c:529: hal 0.5.9
Jul 11 06:14:18 phileo hald[1945]: 06:14:18.614 [I] hald.c:538: Will daemonize
Jul 11 06:14:19 phileo hald[1945]: 06:14:18.614 [I] hald.c:539: Becoming a daemon
Jul 11 06:14:19 phileo hald[1946]: 06:14:18.616 [I] hald_dbus.c:4807: local
server is listening at
unix:abstract=/var/run/hald/dbus-86CTeRYmZ2,guid=d02249eea49906b1296bde004694bb8a
Jul 11 06:14:19 phileo hald[1946]: 06:14:18.624 [I] ck-tracker.c:387: got seat
'/org/freedesktop/ConsoleKit/Seat1'
Jul 11 06:14:20 phileo hald[1946]: 06:14:18.625 [I] ck-tracker.c:338: Got all
sessions on seat '/org/freedesktop/ConsoleKit/Seat1'
Jul 11 06:14:20 phileo hald[1946]: 06:14:18.625 [I] ck-tracker.c:414: Got seats
Jul 11 06:14:20 phileo hald[1946]: 06:14:18.626 [I] ck-tracker.c:796: Got seats
and sessions
Jul 11 06:14:21 phileo hald[1946]: 06:14:18.814 [I] hald_runner.c:299: Runner
has pid 1947
Jul 11 06:14:21 phileo hald[1946]: 06:14:18.815 [W] ci-tracker.c:200: Could not
get uid for connection: org.freedesktop.DBus.Error.NameHasNoOwner Could not get
UID of name 'org.freedesktop.DBus': no such name
Jul 11 06:14:21 phileo hald[1946]: 06:14:18.816 [E] hald_dbus.c:4462: Cannot get
caller info for org.freedesktop.DBus
Jul 11 06:14:21 phileo hald[1946]: 06:14:18.816 [I] hald_runner.c:180: runner
connection is 0x9a6c238
Jul 11 06:14:21 phileo hald[1946]: 06:14:19.155 [I] mmap_cache.c:161:
Regenerating fdi cache..
Jul 11 06:14:21 phileo hald[1946]: 06:14:21.661 [I] mmap_cache.c:137: In
regen_cache_cb exit_type=0, return_code=0
Jul 11 06:14:21 phileo hald[1946]: 06:14:21.662 [I] mmap_cache.c:193: fdi cache
generation done
Jul 11 06:14:22 phileo hald[1946]: 06:14:21.662 [I] mmap_cache.c:251: cache
mtime is 1181861643

However, mine will not start ever.  Not at boot nor if I start it manually. 
Comment 6 Carl Parrish 2007-07-11 10:56:51 EDT
I looks like my problem was that the permissions for /var/lib/hal and
/var/cache/hald were set wrong. chown haldaemon.haldaemon /var/lib/hal; chown
haldaemon.haldaemon /var/cache/hald solved my problem. Still no clue how it got
like that. 
Comment 7 Bug Zapper 2008-05-14 09:08:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:37:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.